#ifndef CREATE_PROCESS
#define CREATE_PROCESS

#include "uiElement.h"
#include <string>

class Process : public UiElement
{
public:

	//Constructor
	Process(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, std::string processName);
	
	//Destructor
	~Process();
	
	void draw();
	
	std::string getName() { return processName; };
	
protected:

	std::string processName;
	

};

#endif