#ifndef TIME_GRID_UTIL
#define TIME_GRID_UTIL

//Class to keep tack of stuff for time grid use
//Make a UiElement with display square / lines? Just use for calculations?
//Don't use beat division? just tempo / numBeats -> numSamples functionality?


#include "../defs.h"

class TimeGridUtil
{
public:

	//Constructor
	TimeGridUtil(float tempoIn, bool activeIn = false);
	
	//Destructor
	~TimeGridUtil() {};
	
	void setTempo(float tempoIn);
	
	void setActive(bool activeIn) { active = activeIn; };
	bool isActive() { return active; };
	
	long getNumSamplesPerBeat() { return numSamplesPerBeat; };

protected:

	bool active;
	float tempo;	
	long numSamplesPerBeat;
	
	void calcNumSamplesPerBeat();

};

#endif