#ifndef AUDIO_PLAYER
#define AUDIO_PLAYER

#include "../defs.h"

class AudioPlayer
{
public:
	
	AudioPlayer(SAMPLE** bufferPointerIn = 0, long bufferLengthIn = 0, int numChannelsIn = 2, long startSampleIn = -1, long playLengthIn = 0, bool isLoopingIn = false, bool isPlayingIn = false): bufferPointer(bufferPointerIn), bufferLength(bufferLengthIn), numChannels(numChannelsIn), startSample(startSampleIn), playLength(playLengthIn), isLooping(isLoopingIn), isPlaying(isPlayingIn), currentIndex(startSampleIn) {};
	
	~AudioPlayer() {};
	
	SAMPLE** bufferPointer;
	int numChannels;
	long bufferLength;
	long startSample;
	long currentIndex;
	long playLength;
	bool isLooping;
	bool isPlaying;

};

#endif