#include "displayUtils.h"

void bitmapString( const char* c_string, float xMin, float yMin, float xMax, int fontChoice )
{
	glRasterPos2i(xMin, yMin);
	
	void * font;
	
	if( fontChoice == 2)
		font = GLUT_BITMAP_HELVETICA_18;
	else if( fontChoice == 1 )
		font = GLUT_BITMAP_9_BY_15;	
	else
		font = GLUT_BITMAP_HELVETICA_12;
	
	GLfloat* position = new GLfloat[4];
	
	for( int i=0; i < strlen(c_string); i++)
	{
		glGetFloatv( GL_CURRENT_RASTER_POSITION, position );
		if( xMax - position[0] < 15 )
		{
			glutBitmapCharacter(font, '.');
			glutBitmapCharacter(font, '.');
			glutBitmapCharacter(font, '.');
			break;
		}	
		
    glutBitmapCharacter(font, c_string[i]);
	}
	
	delete position;
	
}