#include "fileItemDisplay.h"

void FileItemDisplay :: draw()
{
	drawWithOffset( 0.0 );
}

void FileItemDisplay :: drawWithOffset(float pixelOffsetIn)
{
	if( active )
	{
		glColor3f( 0.4, 0.4, 0.4 );
		glRectf( xMin, yMin + pixelOffsetIn, xMax, yMax + pixelOffsetIn);
	}
	
	glColor3f( 1.0, 1.0, 1.0);
	
	bitmapString( itemName.c_str(), xMin + 2.5, yMin + pixelOffsetIn + 3, xMax );	
}

void FileItemDisplay :: mouseDown(Point2D mouseLoc)
{
	setActive(true);
}


void FileItemDisplay :: mouseUp(Point2D mouseLoc)
{
	
}


void FileItemDisplay :: mouseMotion(Point2D mouseLoc)
{
	
}


bool FileItemDisplay :: isWav()
{
	std::string fileExtension;
 	int lastDot = itemName.find_last_of( "." );
   	
 	if( lastDot < itemName.length()-1 )
 	{
 		fileExtension = itemName.substr(lastDot+1);
 		if( fileExtension.compare("wav") == 0 )
 			return true;
		else
			return false;
 	}
 	else
 		return false;
}