#include "processItemDisplay.h"

void ProcessItemDisplay :: draw()
{
	drawWithOffset( 0.0 );
}

void ProcessItemDisplay :: drawWithOffset(float pixelOffsetIn)
{
	if( active )
	{
		glColor3f( 0.4, 0.4, 0.4 );
		glRectf( xMin, yMin + pixelOffsetIn, xMax, yMax + pixelOffsetIn);
	}
	
	glColor3f( 1.0, 1.0, 1.0);
	
	bitmapString( itemName.c_str(), xMin + 2.5, yMin + pixelOffsetIn + 3, xMax );	
}

void ProcessItemDisplay :: mouseDown(Point2D mouseLoc)
{
	setActive(true);
}


void ProcessItemDisplay :: mouseUp(Point2D mouseLoc)
{
	
}


void ProcessItemDisplay :: mouseMotion(Point2D mouseLoc)
{
	
}