#ifndef PROCESS_WINDOW
#define PROCESS_WINDOW

//Class for the window which hosts process plug-ins in create mode

#include "uiElement.h"
#include "process.h"
#include <iostream>

class ProcessWindow : public UiElement
{
public:

	//Constructor
	ProcessWindow(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn);
	
	//Destructor
	~ProcessWindow() {};
	
	void draw();
	void setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn);
	void loadProcess() {std::cout << "BLAH" << std::endl;};
	
protected:

	float titleBarHeight;
	bool processLoaded;
	
	Process* currentProcess;

};

#endif